Skip to main content
GET
/
api
/
sol
/
funding
/
cluster
Group wallets by shared funding ancestor
curl --request GET \
  --url 'https://api.raze.bot/api/sol/funding/cluster?apiKey='
{
  "success": true,
  "clusters": [
    {
      "rootFunder": "<string>",
      "depth": 123,
      "wallets": [
        "<string>"
      ]
    }
  ],
  "unclustered": [
    "<string>"
  ],
  "enrichmentEnqueued": [
    "<string>"
  ]
}

Authorizations

apiKey
string
query
required

Query Parameters

wallets
string
required

One or more wallet addresses (comma-separated, max 150).

depth
integer
default:2
Required range: 1 <= x <= 5

Response

Success

success
boolean
clusters
object[]
unclustered
string[]

Input wallets that don't share a funder with any other wallet in the request.

enrichmentEnqueued
string[]